@import "root-style.css";

.btn-container{
    display: flex;
    justify-content: space-around;
}

.btn-profile {
    margin-top: 20px;
    padding: 10px;
    font-size: 0.9em;
    line-height: 1.5;
    text-align: center;
    color: var(--bc-foreground);
    background-color: var(--c-highlight);
    border: 1px transparent;
    border-radius: 10px;
    /*box-sizing: border-box;*/
    transition: all 300ms ease;
}

.btn-profile:hover {
    color: white;
    background-color: var(--c-highlight-secondary);
    /*border: 1px solid var(--c-text-muted-th-dark);*/
    cursor: pointer;
}

/*TODO: upravit CSS pri mensich zariadeniach*/
.alert {
    position: fixed;
    top: 50px;
    left: 34%;
    width: 30%;
    padding: 20px;
    background-color: var(--bc-foreground); /* Red */
    border: 2px solid var(--bordercolor-light);
    border-radius: 15px;
    font-size: 1.2rem;
    color: black;
    z-index: 9999;
    opacity: 0; /* Start with 0 opacity */
    display: none;
    transition: opacity 0.7s ease, top 0.7s ease; /* Smooth transition for opacity change and top position */
    top: -80px; /* Initial position above the viewport */
}

.alert.show {
    display: block;
    opacity: 1; /* When show class is added, opacity becomes 1 */
    top: 50px; /* Move the alert box to top: 0 */
}

.alert-title{
    width: 80%;
    margin-left: auto;
    margin-right: auto;
}

/* The close button */
.closebtn {
    margin-left: 15px;
    color: black;
    font-weight: bold;
    font-size: 22px;
    line-height: 20px;
    cursor: pointer;
    transition: 0.3s;
    top: 8%;

}

/* When moving the mouse over the close button */
.closebtn:hover {
    /*color: white;*/
}

/* Extra small devices (phones, 576px and down) */
@media (max-width: 575.98px) {
    /* Adjust CSS for smaller devices if needed */
    .alert{
        width: 70%;
        left: 10%;
        font-size: 1rem;
    }
}

/* Small devices (landscape phones, 576px and up) */
@media screen and (min-width: 576px) {
    /* Adjust CSS for small devices if needed */
    .alert{
        width: 50%;
        left: 20%;
        font-size: 1.2rem;
    }
}

/* Medium devices (tablets, 768px and up) */
@media screen and (min-width: 768px) {
    /* Adjust CSS for medium devices if needed */
}

/* Large devices (desktops, 992px and up) */
@media screen and (min-width: 992px) {
    /* Adjust CSS for large devices if needed */
}

/* Extra large devices (large desktops, 1200px and up) */
@media screen and (min-width: 1200px) {
    /* Adjust CSS for extra large devices if needed */
    .alert{
        width: 25%;
        left: 36%;
    }
}